PartialTimeBarrierOption::arguments Class Reference

Arguments for barrier option calculation More...

`#include <ql/experimental/exoticoptions/partialtimebarrieroption.hpp>`

Inherits arguments.

## Public Member Functions

void | validate () const

## Public Attributes

PartialBarrier::Type | barrierType
PartialBarrier::Range | barrierRange
Real | barrier
Real | rebate
Date | coverEventDate

## Detailed Description

Arguments for barrier option calculation